petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSErrorWeightedNorm

compute a weighted norm of the difference between two state vectors

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedNorm(TS ts,Vec U,Vec Y,NormType wnormtype,PetscReal *norm)

Collective on TS

### Input Arguments

| ts | - time stepping context
| U | - state vector, usually ts->vec_sol
| Y | - state vector to be compared to U
| wnormtype | - norm type, either NORM_2 or NORM_INFINITY

### Output Arguments

norm -weighted norm, a value of 1.0 is considered small

### Options Database Keys

-ts_adapt_wnormtype <wnormtype> -2, INFINITY

### See Also

TSErrorWeightedNormInfinity(), TSErrorWeightedNorm2()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages